<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{ 'epdb.admin.product.add_new_product' | translate }}</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="addproduct" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.admin.product.product_name' | translate}}
                        <code>*</code>
                    </label>
                    <input type="text" class="form-control" id="productName" (change)="checkAvailable($event.target.value)" formControlName="productName" placeholder="{{'epdb.admin.product.product_name' | translate}}">
                    <span class="messages text-danger" *ngIf="!addproduct.get('productName').valid && addproduct.get('productName').touched">* Please Enter Product Name</span>
                </div>
                <!-- <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.admin.product.product_category' | translate}} </label>
                    <select name="oStatus" class="form-control" id="familyId" formControlName="familyId">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngIf="productcategory==null">{{'general.loading-data' | translate}}</option>
                        <option *ngIf="productcategory==''">{{'general.data-empty' | translate}}</option>
                        <option *ngFor="let item of productcategory" value={{item.familyId}}>{{item.familyId}}</option>
                    </select>
                    <span class="messages text-danger" *ngIf="!addproduct.get('familyId').valid && addproduct.get('familyId').touched">* Please Enter Product Categoty</span>
                </div> -->
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.admin.product.product_category' | translate}}
                        <code>*</code>
                    </label>
                    <angular2-multiselect formControlName="familyId" [data]="dropdownListCategory" [(ngModel)]="selectedItemsCategory" [settings]="dropdownSettings"
                        (onSelect)="onCategorySelect($event)" (onDeSelect)="OnCategoryDeSelect($event)" (onSelectAll)="onCategorySelectAll($event)"
                        (onDeSelectAll)="onCategoryDeSelectAll($event)">
                    </angular2-multiselect>
                    <span class="messages text-danger" *ngIf="showValid">* Please Select Product Category</span>
                    <span class="messages text-danger" *ngIf="!addproduct.get('familyId').valid && addproduct.get('familyId').touched">* Please Select Product Category</span>
                </div>
                <!-- <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.admin.product.year' | translate}} <code>*</code></label>
                    <select class="form-control" formControlName="year">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of year" value="{{item.Key}}">{{item.Key}}</option>
                    </select>
                    <span class="messages text-danger" *ngIf="!addproduct.get('year').valid && addproduct.get('year').touched">* Please Enter Product Year</span>
                </div> -->
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">Version
                        <code>*</code>
                    </label>
                    <input type="text" class="form-control" formControlName="version" placeholder="Product Version">
                    <span class="messages text-danger" *ngIf="!addproduct.get('version').valid && addproduct.get('version').touched">* Please Enter Product Version</span>
                </div>

                <div class="col-md-6 col-xl-6 form-group">&nbsp;</div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="submit" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i>{{'general.btn_save' | translate}}
                    </button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" (click)="resetForm()" class="btn btn-default btn-md btn-block text-center ">
                        <i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}
                    </button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" [routerLink]="['/admin/products/products-list']" class="btn btn-danger btn-md btn-block text-center ">
                        <i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>